package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

public class Example09_ThereminSound {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		double pitch = 0;
		int proximity;
		for(int i = 0; i < 500; ++i) { // 10 seconds
			proximity = hamster.leftProximity();
			if(proximity < 10) {
				proximity = 0;
			}
			pitch = (pitch * 9 + proximity) / 10;
			hamster.note((int)pitch);
			
			Runner.wait(20); // 20 msec
		}
		hamster.note(0); // clear note
	}
}
