package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

public class Example10_SimpleHandFollower {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		int proximity, leftSpeed, rightSpeed;
		for(int i = 0; i < 500; ++i) { // 10 seconds
			// left wheel
			proximity = hamster.leftProximity();
			if(proximity > 15) {
				leftSpeed = (40 - proximity) * 4;
			} else {
				leftSpeed = 0;
			}

			// right wheel
			proximity = hamster.rightProximity();
			if(proximity > 15) {
				rightSpeed = (40 - proximity) * 4;
			} else {
				rightSpeed = 0;
			}

			hamster.wheels(leftSpeed, rightSpeed);
			Runner.wait(20); // 20 msec
		}
		hamster.stop(); // stop
	}
}
