package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

public class Example11_BuiltinLineTracer {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		hamster.lineTracerMode(Hamster.LINE_TRACER_MODE_BLACK_LEFT_SENSOR);
		Runner.wait(5000); // 5 seconds

		hamster.lineTracerSpeed(8); // speed up
		Runner.wait(5000); // 5 seconds

		hamster.lineTracerMode(Hamster.LINE_TRACER_MODE_BLACK_RIGHT_SENSOR);
		Runner.wait(5000); // 5 seconds

		hamster.lineTracerSpeed(5); // speed down
		Runner.wait(5000); // 5 seconds

		hamster.lineTracerMode(Hamster.LINE_TRACER_MODE_BLACK_BOTH_SENSORS);
		Runner.wait(5000); // 5 seconds

		hamster.lineTracerMode(0); // clear line tracer mode
	}
}
