package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

// This example requires a Hamster's extension kit
public class Example16_Extension_LedBlink {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		// set a port A to the digital output mode
		hamster.ioModeA(Hamster.IO_MODE_DIGITAL_OUTPUT);

		for(int i = 0; i < 5; ++i) {
			hamster.outputA(1); // turn on
			Runner.wait(1000); // 1 second

			hamster.outputA(0); // turn off
			Runner.wait(1000); // 1 second
		}
	}
}
