package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

// This example requires a Hamster's extension kit
public class Example19_Extension_Servo {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		// set a port A to the servo output mode
		hamster.ioModeA(Hamster.IO_MODE_SERVO_OUTPUT);

		for(int i = 0; i < 3; ++i) {
			hamster.outputA(180); // move to 180 degrees
			Runner.wait(1000); // 1 second

			hamster.outputA(10); // move to home
			Runner.wait(1000); // 1 second
		}
	}
}
