package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

public class Example08_StaggeringWalk {
	public static void main(String[] args) {

		Hamster hamster = new Hamster();

		int accX;
		for(int count = 10; count > 0; ) {
			hamster.wheels(-100, -100); // move backward
			accX = hamster.accelerationX();
			if(accX > 2000 || accX < -2000) {
				hamster.wheels(100, 100); // move forward
				Runner.wait(250); // 0.25 seconds

				hamster.wheels(-50, 50); // turn left
				Runner.wait(500); // 0.5 seconds

				-- count;
			}
		}
		hamster.stop(); // stop
	}
}
